/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2007 JP.Tessier - jean-philippe.tessier@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.controls.models;

import org.xml.sax.SAXException;

import fr.gouv.finances.cp.utils.xml.marshal.InvalidXmlDefinition;
import fr.gouv.finances.cp.utils.xml.marshal.XmlAttributes;
import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshallable;
import fr.gouv.finances.cp.utils.xml.marshal.XmlOutputter;

@Deprecated
public class ElementLieModel implements XmlMarshallable {
	public static final transient String TAG = "element-lie";
	private StringBuffer balise;
	private String data;
	
	public ElementLieModel(String tagName) { 
		super();
		balise = new StringBuffer();
	}
	public void addCharacterData(String cData) throws SAXException {
		balise.append(cData);
	}
	public void addChild(XmlMarshallable child, String tagName)throws SAXException {}
	public XmlMarshallable getAttributes(XmlAttributes attributes)throws SAXException {
		return this;
	}
	public void marshall(XmlOutputter output) {throw new Error("Not yet implemented"); }
	public void validate() throws InvalidXmlDefinition {}
	public String getBalise() { return balise.toString(); }
    public String getData() {
        return data;
    }
    public void setData(String data) {
        this.data = data;
    }
    @Override
    public ElementLieModel clone() {
    	ElementLieModel elm = new ElementLieModel(TAG);
        elm.balise = this.balise;
        elm.data = this.data;
        return elm;
    }
}
